import request from '@/utils/request'

// 查询售后订单操作列表
export function listStoreAfterSalesStatus(query) {
  return request({
    url: '/store/storeAfterSalesStatus/list',
    method: 'get',
    params: query
  })
}

// 查询售后订单操作详细
export function getStoreAfterSalesStatus(id) {
  return request({
    url: '/store/storeAfterSalesStatus/' + id,
    method: 'get'
  })
}

// 新增售后订单操作
export function addStoreAfterSalesStatus(data) {
  return request({
    url: '/store/storeAfterSalesStatus',
    method: 'post',
    data: data
  })
}

// 修改售后订单操作
export function updateStoreAfterSalesStatus(data) {
  return request({
    url: '/store/storeAfterSalesStatus',
    method: 'put',
    data: data
  })
}

// 删除售后订单操作
export function delStoreAfterSalesStatus(id) {
  return request({
    url: '/store/storeAfterSalesStatus/' + id,
    method: 'delete'
  })
}

// 导出售后订单操作
export function exportStoreAfterSalesStatus(query) {
  return request({
    url: '/store/storeAfterSalesStatus/export',
    method: 'get',
    params: query
  })
}
